package esercitazione7.javafx;

import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.StackPane;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.stage.Stage;
 
public class HelloWorld1Application extends Application {
	
	private Font font = new Font("Arial", 36);
	
	public static void main(String[] args) {
        launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
    	
        primaryStage.setTitle("Hello World!");
        
        VBox hbox = new VBox();
        
        Text t = new Text("Hello world");
        t.setFill(Color.BLUE);
        t.setFont(this.font);
        
        Rectangle r = new Rectangle(60, 30, Color.RED);
        
        Circle c = new Circle(30, Color.YELLOWGREEN);
        
        hbox.getChildren().add(t);
        hbox.getChildren().add(c);
        hbox.getChildren().add(r);
        
        Scene scene1 = new Scene(hbox, 600, 300, Color.GREEN);
        
        primaryStage.setScene(scene1);
        
        primaryStage.show();
    }
}
