package esercitazione7.javafx;

import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.StackPane;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.stage.Stage;
 
public class HelloWorld2Application extends Application {
	
	private Font font = new Font("Arial", 36);
	
	public static void main(String[] args) {
        launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
    	
    final HBox vector = new HBox();
        vector.setAlignment(Pos.CENTER);
                
        Integer[] integers = {10, 2, 30, 30, 50, 40};
        
        GridPane grid = new GridPane();
        
        for (int i = 0; i < integers.length; i++) {
			
        	final Rectangle back = new Rectangle(80, 120, Color.RED);
            Text n = new Text(integers[i].toString());
            
        	final StackPane sp = new StackPane();
        	
        	sp.setMaxHeight(120);
        	
            sp.getChildren().add(back);
            sp.getChildren().add( n );
            
            EventHandler<MouseEvent> eh1 = new EventHandler<MouseEvent>() {
            	@Override
            	public void handle(MouseEvent arg0) {
            		back.setFill(Color.YELLOW);
            	}
			};
            
            sp.setOnMouseEntered(eh1);

            
            EventHandler<MouseEvent> eh2 = new EventHandler<MouseEvent>() {
            	@Override
            	public void handle(MouseEvent arg0) {
            		back.setFill(Color.RED);
            	}
			};
			
			sp.addEventHandler(MouseEvent.MOUSE_EXITED, eh2);
            
			

			
			sp.setOnMouseClicked(new EventHandler<MouseEvent>() {
				public void handle(MouseEvent arg0) {
					
					vector.getChildren().remove(sp);
					
					
				};
			});
			
			
			
            vector.getChildren().add(sp);
            
        }
        
        
        Scene scene2 = new Scene(vector, 600, 300);        

        primaryStage.setScene(scene2);
        
        primaryStage.show();
    }
}
